Module ij
Package ij.plugin

# Class Coordinates

java.lang.Object
ij.plugin.Coordinates

All Implemented Interfaces:
  `DialogListener`, `PlugIn`

public class Coordinates extends Object implements PlugIn, DialogListener
The plugin implements the Image/Adjust/Coordinates command. It allows the user to set the corner coordinates of the selection bounds or the full image. This modifies the image scale (pixelWidth, pixelHeight) and the xOrigin, yOrigin. If a single point is selected, the coordinates of the point can be specified, which only sets the xOrigin and yOrigin. Units for x and y can be also selected (2016-08-30, Michael Schmid). Z unit of stacks can be selected (2019-09-30, Stein Rorvik).

## Constructor Summary

Constructors
Constructor
Description
`Coordinates()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`dialogItemChanged(GenericDialog gd, AWTEvent e)`
This method is invoked by a Generic Dialog if any of the inputs have changed (CANCEL does not trigger it; OK and running the dialog from a macro only trigger the first DialogListener added to a GenericDialog).
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Coordinates

public Coordinates()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### dialogItemChanged

public boolean dialogItemChanged(GenericDialog gd, AWTEvent e)
Description copied from interface: `DialogListener`
This method is invoked by a Generic Dialog if any of the inputs have changed (CANCEL does not trigger it; OK and running the dialog from a macro only trigger the first DialogListener added to a GenericDialog).

Specified by:
  `dialogItemChanged` in interface `DialogListener`
Parameters:
  `gd` - A reference to the GenericDialog.
  `e` - The event that has been generated by the user action in the dialog. Note that `e` is `null` if the dialogItemChanged method is called after the user has pressed the OK button or if the GenericDialog has read its parameters from a macro.
Returns:
  Should be true if the dialog input is valid. False disables the OK button and preview (if any).